Subject: Re: [WIP/RFC PATCH] Support showing notes from more than one notes tree

From: Thomas Rast <[email-masked]>
Date: Sat, 20 Feb 2010 16:23:58 +0100

On Saturday 20 February 2010 15:58:47 Thomas Rast wrote:
> My actual intent was to allow more than one notes.displayref config
> setting, and loading all of them.  But this doesn't seem to work; a
> debugging print confirms that notes_display_config sees the entry, but
> another debugging print shows that it only ever loads one of them.
> What am I doing wrong?

Ah, figured that out myself: for_each_glob_ref has the logic of --glob
to attach /* if there are no globbing characters.  So I'll add some
code to skip for_each_ref and enter it in the list directly if there
is nothing to glob.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch